Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 707396 - net-analyzer/ipguard-1.04-r1 : fails to build with -fno-common or gcc-10
Summary: net-analyzer/ipguard-1.04-r1 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-30 19:03 UTC by Toralf Förster
Modified: 2020-01-31 16:01 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.19 KB, text/plain)
2020-01-30 19:03 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,196.81 KB, text/plain)
2020-01-30 19:03 UTC, Toralf Förster
Details
environment (environment,50.47 KB, text/plain)
2020-01-30 19:03 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,15.86 KB, application/x-bzip)
2020-01-30 19:03 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,1.07 KB, application/x-bzip)
2020-01-30 19:03 UTC, Toralf Förster
Details
net-analyzer:ipguard-1.04-r1:20200129-212532.log (net-analyzer:ipguard-1.04-r1:20200129-212532.log,41.26 KB, text/plain)
2020-01-30 19:03 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,16.15 KB, application/x-bzip)
2020-01-30 19:03 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-30 19:03:19 UTC
   68 |        __bos (__s), __fmt, __va_arg_pack ());
      |        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Linking ipguard
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -Wall -DETHERS='"/etc/ethers"' -Wl,-O1 -Wl,--as-needed -o ipguard ethers.o ipguard.o packet.o system.o `x86_64-pc-linux-gnu-pkg-config libnet --libs` -lpcap -L/usr/local/lib 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ipguard.o:(.bss+0x21e0): multiple definition of `ethers_name'; ethers.o:(.bss+0x21e0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ipguard.o:(.bss+0x130): multiple definition of `suser'; ethers.o:(.bss+0x130): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome_systemd-libressl-20200125-150902

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 7.10.3

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Wed, 29 Jan 2020 20:27:01 +0000

emerge -qpvO net-analyzer/ipguard
[ebuild  N    ] net-analyzer/ipguard-1.04-r1
Comment 1 Toralf Förster gentoo-dev 2020-01-30 19:03:21 UTC
Created attachment 608630 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-30 19:03:24 UTC
Created attachment 608632 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-30 19:03:27 UTC
Created attachment 608634 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-30 19:03:30 UTC
Created attachment 608636 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-30 19:03:33 UTC
Created attachment 608638 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-30 19:03:36 UTC
Created attachment 608640 [details]
net-analyzer:ipguard-1.04-r1:20200129-212532.log
Comment 7 Toralf Förster gentoo-dev 2020-01-30 19:03:39 UTC
Created attachment 608642 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-01-31 16:01:33 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b18a0369b3d30d999feb001214862fee90d6bbf9

commit b18a0369b3d30d999feb001214862fee90d6bbf9
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-01-31 16:01:04 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-01-31 16:01:29 +0000

    net-analyzer/ipguard: Fix CFLAGS=-fno-common
    
    Package-Manager: Portage-2.3.86, Repoman-2.3.20
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=707396
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 .../ipguard/files/ipguard-1.04-fno-common.patch    | 98 ++++++++++++++++++++++
 .../ipguard/files/ipguard-1.04-gentoo.patch        | 50 +++++++++++
 .../ipguard/files/ipguard-1.04-init.d.patch        | 36 ++++++++
 .../ipguard/files/ipguard-1.04-runpath.patch       | 11 +++
 net-analyzer/ipguard/ipguard-1.04-r1.ebuild        | 27 ++----
 5 files changed, 201 insertions(+), 21 deletions(-)